<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>net.ihe.gazelle</groupId>
    <artifactId>framework-bom-v7</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <name>Framework BOM V7</name>

    <!-- TODO MOVE INTO net.ihe.gazelle:parent-bom (when it will exist) -->
    <organization>
        <name>IHE Europe</name>
        <url>http://www.ihe-europe.net</url>
    </organization>

    <licenses>
        <license>
            <name>Apache License, Version 2.0</name>
            <url>https://www.apache.org/licenses/LICENSE-2.0.txt</url>
            <distribution>repo</distribution>
        </license>
    </licenses>

    <contributors>
        <contributor>
            <organization>Kereval</organization>
            <organizationUrl>https://www.kereval.com/home/</organizationUrl>
        </contributor>
    </contributors>

    <repositories>
        <repository>
            <id>IHE</id>
            <name>IHE Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/releases</url>
        </repository>
    </distributionManagement>
    <!-- END OF MOVE INTO net.ihe.gazelle:parent-bom -->

    <properties>
        <version.gazelle.tools>3.1.5-SNAPSHOT</version.gazelle.tools>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>net.ihe.gazelle.hql</groupId>
                <artifactId>gazelle-hql</artifactId>
                <version>2.1.4</version>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.maven</groupId>
                <artifactId>gazelle-tools-jar</artifactId>
                <version>${version.gazelle.tools}</version>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.maven</groupId>
                <artifactId>gazelle-seam-tools-jar</artifactId>
                <version>${version.gazelle.tools}</version>
                <type>ejb</type>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.maven</groupId>
                <artifactId>gazelle-seam-tools-war</artifactId>
                <version>${version.gazelle.tools}</version>
                <type>war</type>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.maven</groupId>
                <artifactId>gazelle-pdfjs</artifactId>
                <version>${version.gazelle.tools}</version>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.cache</groupId>
                <artifactId>gazelle-cache</artifactId>
                <version>1.0.4</version>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.jasper</groupId>
                <artifactId>gazelle-jasper-fonts</artifactId>
                <version>1.0</version>
            </dependency>
            <dependency>
                <groupId>net.ihe.gazelle.geoip</groupId>
                <artifactId>gazelle-geoip</artifactId>
                <version>1.2</version>
            </dependency>

            <!-- Gazelle framework tests dependencies -->
            <dependency>
                <groupId>net.ihe.gazelle.junit</groupId>
                <artifactId>gazelle-junit</artifactId>
                <version>1.0.20</version>
                <type>test-jar</type>
                <scope>test</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
